Edit as New Message always uses the default email address

Bug #924356 reported by Mathieu Trudel-Lapierre on 2012-01-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Evolution
Fix Released
Medium
evolution (Ubuntu)
Low
Mathieu Trudel-Lapierre

Bug Description

When you right click a message in an account's folders, then select "Edit as New Message", the composer always opens with the default email address rather than the address associated with the original message's account.

Rationale is as follows: I have multiple email accounts, each configured in Evolution to be able to send and receive mail, use different signatures, etc:

1) Work account
2) Personal account

Replying to personal emails and composing new messages with an old one as a template, I want to make sure my personal email address, rather than my work email address and preferences, are used.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: evolution 3.2.3-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-12.20-generic 3.2.2
Uname: Linux 3.2.0-12-generic x86_64
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
Date: Tue Jan 31 10:48:05 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111111)
SourcePackage: evolution
UpgradeStatus: No upgrade log present (probably fresh install)

Changed in evolution (Ubuntu):
status: New → Triaged
importance: Undecided → Low
tags: added: bitesize

In short, this bug would require applying http://git.gnome.org/browse/evolution/commit/?id=3dc8b0b52200b236e6f44450ca7913c52b83f85a to evolution 3.2.3.

Changed in evolution:
importance: Unknown → Medium
status: Unknown → Fix Released

We're covering this bug as as UDW session: "Incorporating upstream changes in Ubuntu", Tue, Jan 31, 2012, 21:30 UTC.

Changed in evolution (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in evolution (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution - 3.2.3-0ubuntu3

---------------
evolution (3.2.3-0ubuntu3) precise; urgency=low

  * Rebuild with new pkgbinarymangler. (LP: #913085)
  * debian/control:
    - drop the Build-Depends on evolution from evolution-dev.
    - replace gnome-icon-theme with gnome-icon-theme-full in Depends for
      evolution. (LP: #922329)
  * debian/patches/git_edit_as_new_from_addr_3dc8b0b.patch: correct the From:
    address used for "Edit as New Message" to match with the e-mail address
    for the account the original message was received on. (LP: #924356)
  * debian/patches/gmodule-linking.patch: fix up linking against gmodule-2.0,
    it now needs to be explicitly added.
 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 27 Feb 2012 10:00:32 -0500

Changed in evolution (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.